Bug 34054 - /etc/ld.so.conf missing /usr/local/lib
Summary: /etc/ld.so.conf missing /usr/local/lib
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc   
(Show other bugs)
Version: 7.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-30 12:47 UTC by Daniel Roesen
Modified: 2016-11-24 15:23 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-30 12:47:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Roesen 2001-03-30 12:47:02 UTC
This obviously breaks locally installed libraries.

Comment 1 Jakub Jelinek 2001-04-02 09:11:58 UTC
IMHO /etc/ld.so.conf shouldn't contain anything by default, it is the
responsibility of packages which install libraries in certain directories
to make sure they are in ld.so.conf before running ldconfig.

Comment 2 Daniel Roesen 2001-04-02 13:24:42 UTC
I'm talking about software with libraries in /usr/local which are usually
installed from source, not about RPMs. Or do you think any "make install" should
modify /etc/ld.so.conf?


Note You need to log in before you can comment on or make changes to this bug.